[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#381638: ocaml-tools: LIBINSTALL_FILES includes incorrect files for byte-code libraries

Package: ocaml-tools
Version: 2006.05.15-1
Severity: normal

If I want to install a byte-code-library using libinstall, the default
files that get installed with ocamlfind are incorrect (they include
RESULT.cmxa and RESULT.a).

Please consider adding libinstall-byte-code and libinstall-native-code
targets, or else some conditional flag to control how the default
value of LIBINSTALL_FILES is created.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-strat
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages ocaml-tools depends on:
ii  debconf [debconf-2.0]         1.5.2      Debian configuration management sy
ii  ocaml-base-nox [ocaml-base-no 3.09.2-6   Runtime system for ocaml bytecode 

ocaml-tools recommends no packages.

-- debconf information excluded

Reply to: